%{?scl:%scl_package python-olefile}
%{!?scl:%global pkg_name %{name}}

%global srcname olefile
%global _description \
olefile is a Python package to parse, read and write Microsoft OLE2 files\
(also called Structured Storage, Compound File Binary Format or Compound\
Document File Format), such as Microsoft Office 97-2003 documents,\
vbaProject.bin in MS Office 2007+ files, Image Composer and FlashPix files,\
Outlook messages, StickyNotes, several Microscopy file formats, McAfee\
antivirus quarantine files, etc.

Name:           %{?scl_prefix}python-%{srcname}
Version:        0.44
Release:        3%{?dist}
Summary:        Python package to parse, read and write Microsoft OLE2 files

License:        BSD
URL:            https://pypi.python.org/pypi/olefile/
Source0:        https://files.pythonhosted.org/packages/source/o/%{srcname}/%{srcname}-%{version}.zip
# Don't install docs (they are installed through %%doc)
Patch0:         olefile_skip-doc.patch

BuildArch:      noarch
BuildRequires:  %{?scl_prefix}python-devel
BuildRequires:  %{?scl_prefix}python-sphinx
BuildRequires:  %{?scl_prefix}python-sphinx_rtd_theme
%{?python_provide:%python_provide python3-%{srcname}}


%description %{_description}

%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
%{?scl:scl enable %{scl} "}
%{__python} setup.py build
make -C doc html
%{?scl:"}


%install
%{?scl:scl enable %{scl} "}
%{__python} setup.py install --skip-build --no-compile --root %{buildroot}
%{?scl:"}

%check
# Tests got left out in the 0.44 source archive
# https://github.com/decalage2/olefile/issues/56
# PYTHONPATH=%%{buildroot}%%{python2_sitelib} %%{__python2} tests/test_olefile.py
# PYTHONPATH=%%{buildroot}%%{python3_sitelib} %%{__python3} tests/test_olefile.py


%files
%doc README.md doc/_build/html
%license doc/License.rst
%{python3_sitelib}/OleFileIO_PL.py*
%{python3_sitelib}/__pycache__/OleFileIO_PL.*
%{python3_sitelib}/olefile-*.egg-info
%{python3_sitelib}/olefile/


%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.44-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.44-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jan 12 2017 Sandro Mani <manisandro@gmail.com> - 0.44-1
- Update to 0.44

* Mon Jan 02 2017 Sandro Mani <manisandro@gmail.com> - 0.44-0.4.gitbc9d196
- Fix incorrect line endings
- Remove shebang from non-executable scripts

* Mon Jan 02 2017 Sandro Mani <manisandro@gmail.com> - 0.44-0.3.gitbc9d196
- Further reduce duplicate text
- Add python_provides

* Mon Jan 02 2017 Sandro Mani <manisandro@gmail.com> - 0.44-0.2.gitbc9d196
- Use %%py_build and %%py_install macros
- Use %%summary, %%url to reduce duplicate text
- Add %%check
- Move BR to subpackages

* Mon Jan 02 2017 Sandro Mani <manisandro@gmail.com> - 0.44-0.1.gitbc9d196
- Initial package
